#ifndef VIDCONFIG_H
#define VIDCONFIG_H

#include "vidconf_p.h"
#include <videoencoder.h>

class v4lxif;
class V4LWindow;

class VidConfig : public VidcapConfigDialog
{ 
    Q_OBJECT

    avm::VideoEncoderInfo _info;
    V4LWindow* m_pV4lWin;
public:
    VidConfig( QWidget* parent, v4lxif* v4l, V4LWindow* w );
    ~VidConfig();
    void savePage(int);
public slots:
    virtual void change_filename();
    virtual void change_codec();
    virtual void toggle_audio(bool);
    virtual void toggle_segmented(bool);
    virtual void toggle_limitsize(bool);
    virtual void toggle_limittime(bool);
    virtual void accept();

    virtual void apply();
};

#endif // VIDCONFIG_H
